Bug 40303 - linuxconf-web does not start
linuxconf-web does not start
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-11 16:51 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:47:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-11 16:51:01 EDT
Description of problem:
The linuxconf-web access does not work under xinetd because of an error
in the distribution package.

How reproducible:

Steps to Reproduce:
1. rpm -i linuxconf*rpm 
2. /sbin/linuxconf (and enable linuxconf network access)
3. pico /etc/xinetd.d/linuxconf-web (and set disabled=no)
4. /sbin/service xinetd reload
5. (try to connect to http://localhost:98)

Actual Results:  No response from localhost

Actual Workaround:

The linuxconf-web is not defined in the file /etc/services. You must tell 
xinetd that it is an unlisted service. Look in:

pico /etc/xinetd.d/linuxconf-web 

Add the following type, port and protocol lines:

# default: off
# description: The Linuxconf system can also be accessed via a web \
#              browser.  Enabling this service will allow connections to \
#              Linuxconf running in web UI mode.
service linuxconf
        type            = UNLISTED
	socket_type	= stream
        protocol        = tcp
	wait		= yes
	user		= root
	server		= /sbin/linuxconf
	server_args	= --http
	disable		= no
        port            = 8000

An then reload:

sbin/service xinetd reload

And try it (port 8000 by default)

lynx http://localhost:8000

Comment 1 Brent Fox 2002-06-05 12:17:17 EDT
Closing because we don't ship linuxconf anymore
Comment 2 Red Hat Bugzilla 2006-02-21 13:47:59 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.